/*
  game_manips.h
  jigplay-macos
 
  Created by François Pessaux on 30/09/10.
  Copyright 2010. All rights reserved.
*/

#ifndef __GAME_MANIPS_H__
#define __GAME_MANIPS_H__

#include "piece.h"
#include "game_struct.h"


bool_t insertPieceInLayout (struct game *game, struct piece *piece) ;
void movePieceTo (int x, int y, struct game *game, struct piece *hooked_piece) ;
struct piece* findClosestPiece (struct game *game, int x, int y) ;
void checkCoalescence (struct game *game, struct piece *from_piece) ;
void shuffleAllPieces (struct game *game) ;
bool_t arrangePiecesOnBorders (struct game *game) ;
bool_t isGameJustWon (struct game *game) ;

#endif
