/*
  image_with_mask.h
  jigplay-macos
 
  Created by François Pessaux on 29/09/10.
  Copyright 2010. All rights reserved.
*/

#ifndef __IMAGE_WITH_MASK_H__
#define __IMAGE_WITH_MASK_H__

#ifdef __JIGPLAY_MAC_OS__
#include <Carbon/Carbon.h>
#else
#ifdef __JIGPLAY_IOS__
#include <CoreGraphics/CGImage.h>
#endif
#endif


struct image_with_mask {
  unsigned char *mask_bits ;
  CGImageRef mask_image ;
  CGImageRef masked_image ;
};

void freeImageWithMask (struct image_with_mask *iwm) ;

#endif
