/*
  spline.h
  jigplay-macos
 
  Created by François Pessaux on 29/09/10.
  Copyright 2010. All rights reserved.
*/

#ifndef __SPLINE_H__
#define __SPLINE_H__

#include "maths2d.h"

struct spline {
  int nb_points ;
  struct point *vertices ;
};

struct spline* buildSpline (int rec_depth, struct point *vertices, int nb_vertices,
                             struct point *top_left, struct point *bottom_right) ;
struct spline* build_opposite_spline (int shift_up, struct spline *spline) ;

#endif
