/*
  HelpView.m

  Created by François Pessaux on 08/10/10.
  Copyright 2010. All rights reserved.
*/

#import "HelpView.h"

@implementation HelpView

- (void) loadHelpHTML
{
  NSString *urlAddress =
    [[NSBundle mainBundle] pathForResource: @"JigPlay" ofType: @"html"] ;
  NSURL *url = [NSURL fileURLWithPath: urlAddress] ;
  NSURLRequest *requestObj = [NSURLRequest requestWithURL: url] ;
  [helpWebView loadRequest: requestObj] ;
}



/** Callback called when the Dismiss button of the help view is clicked. It
    simply returns back to the introduction view. */
- (IBAction) dismissButtonPressed:(id) sender
{
  [viewController showIntroView] ;
}

@end
