/*
  texturemap.h
  jigplay-macos
 
  Created by François Pessaux on 29/09/10.
  Copyright 2010. All rights reserved.
*/

#ifndef __TEXTUREMAP_H__
#define __TEXTUREMAP_H__

#ifdef __JIGPLAY_MAC_OS__
#include <Carbon/Carbon.h>
#else
#ifdef __JIGPLAY_IOS__
#include <CoreGraphics/CGImage.h>
#endif
#endif

#include "maths2d.h"
#include "piece.h"

struct segment {
  struct point p0 ;
  struct point p1 ;
};

int initializePieceTexture (CGImageRef source_image, struct piece *piece,
                            struct point *piece_initial_center) ;

#endif
